# Deposit

The deposit function allows a user to transfer the supply asset of the vault and receive supplyTokens in exchange.

`deposit(uint256 amount, address onBehalfOf)`

* **amount** - the amount the user wants to deposit. The user must approve this amount prior to deposit.
* **onBehalfOf** - the address onBehalfOf who this deposit is made, typically the user themselves

Upon receiving a deposit the vault will deploy this collateral into the active lending provider to be used as collateral.

{% hint style="info" %}
**supplyToken** A supply token is issued to represent each supply asset the user is owed. This is an interest bearing token and its value can go up over time, in line with interest received on our lender deposits. Each supply token represents one supply asset (e.g. WETH) token.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altitude.fi/general/protocol-overview/how-do-users-interact-with-a-vault/deposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
